## qt6-tools 6.4.2

=== examples/CMakeLists.txt ===
qt_examples_build_begin(EXTERNAL_BUILD)

qt_exclude_tool_directories_from_default_target(
    assistant
)

if(TARGET Qt::Widgets)
    if(TARGET Qt::Help)
        add_subdirectory(help)
    endif()
    if(QT_FEATURE_linguist)
      add_subdirectory(linguist)
    endif()
    add_subdirectory(uitools)
endif()
if(QT_FEATURE_process AND TARGET Qt::Widgets)
    add_subdirectory(designer)
    add_subdirectory(assistant)
endif()

qt_examples_build_end()

=== src/CMakeLists.txt ===
# Generated from src.pro.

# special case begin
# Need to stop building these apps by default because they would fail
# in device_and_simulator and webassembly builds.
if(IOS OR WASM)
   set(_qt_additional_tools_to_exclude qtplugininfo)
endif()
# special case end

qt_exclude_tool_directories_from_default_target(
    distancefieldgenerator
    pixeltool
    ${_qt_additional_tools_to_exclude} # special case
)


# special case begin
# Evaluate features to decide what to build.
# The config files will be written in the src/global module.
qt_feature_evaluate_features("${CMAKE_CURRENT_SOURCE_DIR}/../configure.cmake")
# special case end

if(TARGET Qt::Widgets)
    add_subdirectory(uiplugin)
    add_subdirectory(uitools)
endif()

add_subdirectory(global) # special case add as first directory
if(QT_FEATURE_linguist)
    add_subdirectory(linguist)
endif()
# add_subdirectory(global) # special case remove
if(QT_FEATURE_designer)
    add_subdirectory(designer)
endif()
if(QT_FEATURE_pixeltool)
    add_subdirectory(pixeltool)
endif()
if(QT_FEATURE_assistant)
    add_subdirectory(assistant)
endif()
if(QT_FEATURE_distancefieldgenerator)
    add_subdirectory(distancefieldgenerator)
endif()
if(QT_FEATURE_qtattributionsscanner)
    add_subdirectory(qtattributionsscanner)
endif()
if(QT_FEATURE_qtplugininfo)
    add_subdirectory(qtplugininfo)
endif()
if(QT_FEATURE_clang AND QT_FEATURE_commandlineparser AND QT_FEATURE_thread)
    add_subdirectory(qdoc)
endif()
if(QT_FEATURE_qdbus)
    add_subdirectory(qdbus)
endif()
if(QT_FEATURE_qtdiag)
    add_subdirectory(qtdiag)
endif()

=== examples/designer/CMakeLists.txt ===
qt_exclude_tool_directories_from_default_target(
    containerextension
    taskmenuextension
)

qt_internal_add_example(calculatorform)
if(QT_BUILD_SHARED_LIBS AND NOT solaris-cc_x_)
    qt_internal_add_example(calculatorbuilder)
    qt_internal_add_example(worldtimeclockbuilder)
endif()
if(QT_BUILD_SHARED_LIBS)
    qt_internal_add_example(containerextension)
    qt_internal_add_example(customwidgetplugin)
    qt_internal_add_example(taskmenuextension)
    qt_internal_add_example(worldtimeclockplugin)
endif()

=== examples/uitools/CMakeLists.txt ===
qt_internal_add_example(multipleinheritance)
qt_internal_add_example(textfinder)

=== src/assistant/CMakeLists.txt ===
# Generated from assistant.pro.

# special case begin
if(NOT TARGET Qt::Sql OR NOT TARGET Qt::PrintSupport)
    return()
endif()
# special case end

qt_exclude_tool_directories_from_default_target(
    assistant
    qhelpgenerator
)

if(NOT TARGET Qt::Sql)
    return()
endif()
if(NOT QT_FEATURE_assistant)
    return()
endif()
add_subdirectory(help)
add_subdirectory(assistant)
add_subdirectory(qhelpgenerator)

set(QLITEHTML_BIN_PATH ${INSTALL_BINDIR})
set(QLITEHTML_LIBRARY_PATH ${INSTALL_LIBDIR})
set(QLITEHTML_LIBRARY_TYPE STATIC)
set(BUILD_SHARED_LIBS OFF)
if(QT_FEATURE_static_runtime AND MSVC)
    set(CMAKE_MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
endif()
add_subdirectory(qlitehtml/src EXCLUDE_FROM_ALL)
if(TARGET qlitehtml)
    qt_autogen_tools_initial_setup(qlitehtml)
    # The litehtml and gumbo targets will not be available here if they are not built by Qt
    # but found in the system, because they are imported only to the subdirectory scope
    # where find_package was called. But that's fine, we wouldn't be able to set compiler flags
    # on them anyway.
    if(TARGET litehtml)
        qt_internal_set_exceptions_flags(litehtml OFF)
        qt_disable_warnings(litehtml)
    endif()
    if(TARGET gumbo)
        qt_disable_warnings(gumbo)
    endif()
    qt_disable_warnings(qlitehtml)
    qt_handle_multi_config_output_dirs(qlitehtml)
    set_target_properties(qlitehtml PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY "${QT_BUILD_DIR}/${INSTALL_BINDIR}"
        LIBRARY_OUTPUT_DIRECTORY "${QT_BUILD_DIR}/${INSTALL_LIBDIR}"
        ARCHIVE_OUTPUT_DIRECTORY "${QT_BUILD_DIR}/${INSTALL_LIBDIR}")
else()
    message(FATAL_ERROR "qlitehtml not found. Did you run git submodule update --init --recursive?")
endif()

=== src/linguist/CMakeLists.txt ===
# Generated from linguist.pro.


qt_exclude_tool_directories_from_default_target(
    linguist
)

if(NOT QT_FEATURE_linguist)
    return()
endif()
add_subdirectory(lconvert)
add_subdirectory(lprodump)
add_subdirectory(lrelease)
add_subdirectory(lrelease-pro)
add_subdirectory(lupdate)
add_subdirectory(lupdate-pro)
if(QT_FEATURE_process AND QT_FEATURE_pushbutton AND QT_FEATURE_toolbutton AND TARGET Qt::Widgets AND NOT no-png)
    add_subdirectory(linguist)
endif()

# special case begin
# Create a fake module that would emulate the Qt5::LinguistTools CMake Config package
qt_internal_add_module(Linguist NO_MODULE_HEADERS HEADER_MODULE)
# special case end

=== src/qdoc/CMakeLists.txt ===
# Generated from qdoc.pro.

# special case begin
if(CMAKE_VERSION VERSION_LESS "3.19" AND MSVC AND CMAKE_GENERATOR STREQUAL "Ninja Multi-Config")
    message(WARNING "qdoc will not be built in this configuration.")
    return()
endif()

if (MINGW)
    set_property(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}" PROPERTY _qt_skip_separate_debug_info ON)
endif()

# special case end

#####################################################################
## qdoc Tool:
#####################################################################

qt_get_tool_target_name(target_name qdoc)
qt_internal_add_tool(${target_name}
    TARGET_DESCRIPTION "Qt Documentation Compiler"
    TOOLS_TARGET Tools # special case
    USER_FACING
    SOURCES
        aggregate.cpp
        atom.cpp
        boundaries/filesystem/directorypath.cpp
        boundaries/filesystem/filepath.cpp
        boundaries/filesystem/resolvedfile.cpp
        clangcodeparser.cpp
        classnode.cpp
        codechunk.cpp
        codemarker.cpp
        codeparser.cpp
        collectionnode.cpp
        config.cpp
        cppcodemarker.cpp
        cppcodeparser.cpp
        doc.cpp
        docbookgenerator.cpp
        docparser.cpp
        docprivate.cpp
        editdistance.cpp
        enumnode.cpp
        externalpagenode.cpp
        filesystem/fileresolver.cpp
        functionnode.cpp
        generator.cpp
        headernode.cpp
        helpprojectwriter.cpp
        htmlgenerator.cpp
        jscodemarker.cpp
        location.cpp
        main.cpp
        manifestwriter.cpp
        namespacenode.cpp
        node.cpp
        openedlist.cpp
        pagenode.cpp
        parameters.cpp
        propertynode.cpp
        proxynode.cpp
        puredocparser.cpp
        qdoccommandlineparser.cpp
        qdocdatabase.cpp
        qdocindexfiles.cpp
        qmlcodemarker.cpp
        qmlcodeparser.cpp
        qmlmarkupvisitor.cpp
        qmlpropertynode.cpp
        qmltypenode.cpp
        qmlvisitor.cpp
        quoter.cpp
        relatedclass.cpp
        sections.cpp
        sharedcommentnode.cpp
        tagfilewriter.cpp
        text.cpp
        tokenizer.cpp
        tree.cpp
        typedefnode.cpp
        usingclause.cpp
        utilities.cpp
        variablenode.cpp
        webxmlgenerator.cpp
        xmlgenerator.cpp
    INCLUDE_DIRECTORIES
        ${CMAKE_CURRENT_LIST_DIR}
    LIBRARIES # special case
        WrapLibClang::WrapLibClang # special case
    DEFINES
        #(CLANG_RESOURCE_DIR=\"/clang//include\") # special case remove
        CLANG_RESOURCE_DIR=${QT_LIBCLANG_RESOURCE_DIR} # special case
        # To provide the ability to workaround version-specific Clang issues.
        # A re-export of (LLVM|CLANG)_VERSION_MAJOR done in WrapLibClang.cmake
        LIBCLANG_VERSION_MAJOR=${QT_LIB_CLANG_VERSION_MAJOR}
        QDOC2_COMPAT
)
qt_internal_return_unless_building_tools()

#### Keys ignored in scope 1:.:.:qdoc.pro:<TRUE>:
# QMAKE_TARGET_DESCRIPTION = "Qt Documentation Compiler"
# TR_EXCLUDE = "$$PWD/*"
# _OPTION = "host_build"

## Scopes:
#####################################################################

#### Keys ignored in scope 2:.:.:qdoc.pro:NOT force_bootstrap:
# _REQUIREMENTS = "qtConfig(xmlstreamwriter)"

qt_internal_extend_target(${target_name} CONDITION TARGET Qt::QmlPrivate
    LIBRARIES
        Qt::QmlPrivate
)

qt_internal_extend_target(${target_name} CONDITION NOT TARGET Qt::QmlPrivate
    DEFINES
        QT_NO_DECLARATIVE
)

#### Keys ignored in scope 6:.:.:qdoc.pro:NOT QMAKE_DEFAULT_LIBDIRS___contains____ss_CLANG_LIBDIR AND NOT disable_external_rpath:
# QMAKE_RPATHDIR = "$$CLANG_LIBDIR"

qt_internal_extend_target(${target_name} CONDITION (WIN32 AND ICC) OR MSVC
    LINK_OPTIONS
        "/STACK:4194304"
)
qt_internal_add_docs(${target_name}
    doc/config/qdoc.qdocconf
)

=== src/uitools/CMakeLists.txt ===
# Generated from uitools.pro.

#####################################################################
## UiTools Module:
#####################################################################

qt_internal_add_module(UiTools
    SOURCES
        ../designer/src/lib/uilib/abstractformbuilder.cpp ../designer/src/lib/uilib/abstractformbuilder.h
        ../designer/src/lib/uilib/formbuilder.cpp ../designer/src/lib/uilib/formbuilder.h
        ../designer/src/lib/uilib/formbuilderextra.cpp ../designer/src/lib/uilib/formbuilderextra_p.h
        ../designer/src/lib/uilib/properties.cpp ../designer/src/lib/uilib/properties_p.h
        ../designer/src/lib/uilib/resourcebuilder.cpp ../designer/src/lib/uilib/resourcebuilder_p.h
        ../designer/src/lib/uilib/textbuilder.cpp ../designer/src/lib/uilib/textbuilder_p.h
        ../designer/src/lib/uilib/ui4.cpp ../designer/src/lib/uilib/ui4_p.h
        quiloader.cpp quiloader.h
    DEFINES
        QFORMINTERNAL_NAMESPACE
        QT_DESIGNER
        QT_DESIGNER_STATIC
        QT_USE_QSTRINGBUILDER
    INCLUDE_DIRECTORIES
        ../designer/src/lib/uilib
    LIBRARIES
        Qt::UiPlugin
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Widgets
)

## Scopes:
#####################################################################

qt_internal_extend_target(UiTools CONDITION TARGET Qt::OpenGLWidgets
    PUBLIC_LIBRARIES
        Qt::OpenGLWidgets
)

qt_internal_extend_target(UiTools CONDITION TARGET Qt::OpenGL
    LIBRARIES
        Qt::OpenGL
)
qt_internal_add_docs(UiTools
    doc/qtuitools.qdocconf
)

=== tests/manual/CMakeLists.txt ===
# Generated from manual.pro.

add_subdirectory(qtattributionsscanner)

=== examples/assistant/simpletextviewer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(simpletextviewer LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/assistant/simpletextviewer")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets)

qt_add_executable(simpletextviewer
    assistant.cpp assistant.h
    findfiledialog.cpp findfiledialog.h
    main.cpp
    mainwindow.cpp mainwindow.h
    textedit.cpp textedit.h
)

set_target_properties(simpletextviewer PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_compile_definitions(simpletextviewer PUBLIC
    SRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/"
)

target_link_libraries(simpletextviewer PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Widgets
)

install(TARGETS simpletextviewer
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/designer/calculatorbuilder/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(calculatorbuilder LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/designer/calculatorbuilder")

find_package(Qt6 REQUIRED COMPONENTS Core Gui UiTools Widgets)

qt_add_executable(calculatorbuilder
    calculatorform.cpp calculatorform.h
    main.cpp
)

set_target_properties(calculatorbuilder PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(calculatorbuilder PUBLIC
    Qt::Core
    Qt::Gui
    Qt::UiTools
    Qt::Widgets
)

# Resources:
set(calculatorbuilder_resource_files
    "calculatorform.ui"
)

qt6_add_resources(calculatorbuilder "calculatorbuilder"
    PREFIX
        "/forms"
    FILES
        ${calculatorbuilder_resource_files}
)

install(TARGETS calculatorbuilder
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/designer/calculatorform/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(calculatorform LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/designer/calculatorform")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets)

qt_add_executable(calculatorform
    calculatorform.cpp calculatorform.h calculatorform.ui
    main.cpp
)

set_target_properties(calculatorform PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(calculatorform PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Widgets
)

install(TARGETS calculatorform
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-tools (6.4.2-3build3) noble; urgency=medium

  * No-change rebuild against libqt6core6t64.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Apr 2024 15:18:52 +0100

qt6-tools (6.4.2-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:55:43 +0000

qt6-tools (6.4.2-3build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:02:02 +0000

qt6-tools (6.4.2-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Jul 2023 09:16:28 -0300

qt6-tools (6.4.2-2) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation adn examples packages.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Jul 2023 19:18:10 -0300

qt6-tools (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Sun, 29 Jan 2023 00:54:45 +0100

=== debian/control ===
Source: qt6-tools
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: clang-15,
               cmake (>= 3.24~),
               debhelper-compat (= 13),
               libclang-15-dev,
               libgl-dev,
               liblitehtml-dev (>= 0.6~),
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               llvm-15-dev,
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.4.2+dfsg~),
               qt6-base-private-dev (>= 6.4.2+dfsg~),
               qt6-declarative-dev (>= 6.4.2+dfsg~),
               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools.git
Rules-Requires-Root: no

Package: libqt6designer6
Architecture: any
Multi-Arch: same
Provides: qt6-designer-abi (= 6.4.2),
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Designer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDesigner library provides classes that allow you to create your own
 custom widget plugins for Qt Designer, and classes that enable you to access
 Qt Designer's components.

Package: libqt6designercomponents6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Designer Components library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package includes components for the Qt 6 Designer library.

Package: libqt6help6
Architecture: any
Multi-Arch: same
Provides: qt6-help-abi (= 6.4.2),
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Help library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtHelp library provides classes for integrating online documentation in
 applications.

Package: libqt6uitools6
Architecture: any
Multi-Arch: same
Provides: qt6-uitools-abi (= 6.4.2),
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 UI tools library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The package provides classes to handle forms created with Qt Designer.

Package: assistant-qt6
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Assistant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Assistant is a tool for viewing on-line documentation in Qt help file
 format.

Package: designer-qt6
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Designer
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Designer is the Qt tool for designing and building graphical user
 interfaces (GUIs) with Qt Widgets.

Package: linguist-qt6
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Linguist
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Linguist is a tool for adding translations to Qt applications.

Package: qdbus-qt6
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: qt6-tools-dev-tools (<< 6.3.1-2~),
Replaces: qt6-tools-dev-tools (<< 6.3.1-2~),
Description: Qt 6 D-Bus application
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 qdbus is a tool for listing D-Bus services and its properties.

Package: qt6-documentation-tools
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 documentation tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains tools like qdoc, qtattributionsscanner and
 qhelpgenerator.
 .
 qdoc is a command-line tool for generating HTML documentation from .cpp
 and .qdoc files.
 .
 qtattributionsscanner is a command-line tool that scans the source
 code for qt_attribution.json file and outputs JSON or qdoc files
 describing the copyright attributions for third party code.
 .
 qhelpgenerator is a command-line tool for packaging the HTML
 documentation generated by qdoc into .qch files.

Package: qt6-l10n-tools
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 translation tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains tools to create translation files.

Package: qt6-tools-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6designer6 (= ${binary:Version}),
         libqt6designercomponents6 (= ${binary:Version}),
         libqt6help6 (= ${binary:Version}),
         libqt6uitools6 (= ${binary:Version}),
         qt6-base-dev,
         qt6-tools-dev-tools (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 Tools - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications.

Package: qt6-tools-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-tools-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 Tools - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains private header development files.
 .
 Use at your own risk.

Package: qt6-tools-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: assistant-qt6 (= ${binary:Version}),
         designer-qt6 (= ${binary:Version}),
         linguist-qt6 (= ${binary:Version}),
         qdbus-qt6 (= ${binary:Version}),
         qt6-documentation-tools (= ${binary:Version}),
         qt6-l10n-tools (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 development tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of applications to browse the documentation,
 translate applications, generate help files and other stuff that
 helps in Qt development. These tools are among others:
  * pixeltool
  * qdbusviewer

Package: qt6-tools-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 tools documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 tools.

Package: qt6-tools-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 tools HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 tools.

Package: qt6-tools-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 tools tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt tools
 documentation.

Package: qt6-tools-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 tools examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt tools submodule.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

export LLVM_INSTALL_DIR := $(shell llvm-config --prefix)

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_SKIP_INSTALL_RPATH=ON

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-tools 6.6.1

=== debian/changelog ===
qt6-tools (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update ABI to 6.6.1.
  * Remove patches that have been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Dec 2023 21:52:23 +0100

qt6-tools (6.6.0-2) experimental; urgency=medium

  * Team upload.
  * Update documentation install list, there is now a dark CSS file.
  * Update symbols files with current buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 09 Nov 2023 22:25:22 -0300

qt6-tools (6.6.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Bump Qt B-Ds to 6.6.0.
  * Update ABI to 6.6.0.
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Oct 2023 14:50:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: qt6-tools
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: clang-15,
+Build-Depends: clang,
                cmake (>= 3.24~),
                debhelper-compat (= 13),
-               libclang-15-dev,
+               libclang-dev,
+               libcurl4-openssl-dev | libcurl4-dev,
                libgl-dev,
                liblitehtml-dev (>= 0.6~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
-               llvm-15-dev,
+               libzstd-dev (>= 1.3),
+               llvm-dev,
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+               qt6-base-dev (>= 6.6.1+dfsg~),
+               qt6-base-private-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
@@ -32,7 +33,7 @@
 Package: libqt6designer6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-designer-abi (= 6.4.2),
+Provides: qt6-designer-abi (= 6.6.1),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Designer library
@@ -57,7 +58,7 @@
 Package: libqt6help6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-help-abi (= 6.4.2),
+Provides: qt6-help-abi (= 6.6.1),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Help library
@@ -70,7 +71,7 @@
 Package: libqt6uitools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-uitools-abi (= 6.4.2),
+Provides: qt6-uitools-abi (= 6.6.1),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 UI tools library

## qt6-tools 6.6.2

=== debian/changelog ===
qt6-tools (6.6.2-4) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 504a48cb51a20c6fd7766266dc9f6c1c670f435a to prevent
    the global promotion of libzstd cmake target; patch
    upstream_CMake-FindWrapLibClang-Prevent-global-promotion-of-l.patch.
  * Backport upstream commit f57d15654b107f70c0ee853b82488ee0c329c3ba to not
    propagate zstd cmake targets to global; patch
    upstream_Ensure-that-FindWrapLibClang-doesn-t-propagate-zstd.patch.
  * Backport upstream commit 604bb3bf2c8e5e26dab678fdf9c730625aa24977 to prevent
    more zstd cmake targets from being promoted as global; patch
    upstream_Add-the-missing-global-promotion-exclution-checks-fo.patch.
  * Look for libzstd before Clang, working around the broken Findzstd cmake find
    module shipped in LLVM 16+; patch cmake-find-zstd-before-clang.diff.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 18 Jul 2024 04:58:31 +0200

qt6-tools (6.6.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to llvm-17 so the package can migrate to testing.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:43:02 +0200

qt6-tools (6.6.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rebuild against libqt6core6t64.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 May 2024 09:50:04 +0200

qt6-tools (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update ABI to 6.6.2 and rename it to qt6-*-private-abi.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Feb 2024 21:08:54 +0100

qt6-tools (6.6.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Force build with llvm-toolchain-17.

 -- Patrick Franz <deltaone@debian.org>  Wed, 24 Jan 2024 22:09:32 +0100

qt6-tools (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add binary package designer-qt6-plugins (Closes: #1057299).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 19:07:13 +0100

qt6-tools (6.4.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Force build with llvm-toolchain-18 (Closes: 1061205).

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 01:02:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: clang,
+Build-Depends: clang-17,
                cmake (>= 3.24~),
                debhelper-compat (= 13),
-               libclang-dev,
+               libclang-17-dev,
                libcurl4-openssl-dev | libcurl4-dev,
                libgl-dev,
                liblitehtml-dev (>= 0.6~),
@@ -14,17 +14,17 @@
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                libzstd-dev (>= 1.3),
-               llvm-dev,
+               llvm-17-dev,
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                      qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools.git
@@ -33,7 +33,7 @@
 Package: libqt6designer6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-designer-abi (= 6.6.1),
+Provides: qt6-designer-private-abi (= 6.6.2),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Designer library
@@ -58,7 +58,7 @@
 Package: libqt6help6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-help-abi (= 6.6.1),
+Provides: qt6-help-private-abi (= 6.6.2),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Help library
@@ -71,7 +71,7 @@
 Package: libqt6uitools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-uitools-abi (= 6.6.1),
+Provides: qt6-uitools-private-abi (= 6.6.2),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 UI tools library
@@ -103,6 +103,22 @@
  .
  Qt Designer is the Qt tool for designing and building graphical user
  interfaces (GUIs) with Qt Widgets.
+
+Package: designer-qt6-plugins
+Architecture: any
+Multi-Arch: same
+Section: devel
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: designer-qt6 (<< 6.6.1-2~),
+Replaces: designer-qt6 (<< 6.6.1-2~),
+Description: Qt 6 Designer - plugins
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ Qt Designer is the Qt tool for designing and building graphical user
+ interfaces (GUIs) with Qt Widgets.
+ .
+ This package contains various plugins to be used with the Qt Designer.
 
 Package: linguist-qt6
 Architecture: any

## qt6-tools 6.7.2

=== src/linguist/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# Generated from linguist.pro.
-
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
 
 qt_exclude_tool_directories_from_default_target(
     linguist
@@ -18,7 +18,9 @@
     add_subdirectory(linguist)
 endif()
 
-# special case begin
 # Create a fake module that would emulate the Qt5::LinguistTools CMake Config package
-qt_internal_add_module(Linguist NO_MODULE_HEADERS HEADER_MODULE)
-# special case end
+qt_internal_add_module(Linguist
+    HEADER_MODULE
+    NO_MODULE_HEADERS
+    NO_PRIVATE_MODULE
+)

=== src/assistant/help/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## Help Module:
#####################################################################

qt_internal_add_module(Help
    SOURCES
        qcompressedhelpinfo.cpp qcompressedhelpinfo.h
        qfilternamedialog.cpp qfilternamedialog.ui qfilternamedialog_p.h
        qhelp_global.cpp qhelp_global.h
        qhelpcollectionhandler.cpp qhelpcollectionhandler_p.h
        qhelpcontentwidget.cpp qhelpcontentwidget.h
        qhelpdbreader.cpp qhelpdbreader_p.h
        qhelpengine.cpp qhelpengine.h qhelpengine_p.h
        qhelpenginecore.cpp qhelpenginecore.h
        qhelpfilterdata.cpp qhelpfilterdata.h
        qhelpfilterengine.cpp qhelpfilterengine.h
        qhelpfiltersettings.cpp qhelpfiltersettings_p.h
        qhelpfiltersettingswidget.cpp qhelpfiltersettingswidget.h qhelpfiltersettingswidget.ui
        qhelpindexwidget.cpp qhelpindexwidget.h
        qhelplink.cpp qhelplink.h
        qhelpsearchengine.cpp qhelpsearchengine.h
        qhelpsearchindexreader.cpp qhelpsearchindexreader_p.h
        qhelpsearchindexreader_default.cpp qhelpsearchindexreader_default_p.h
        qhelpsearchindexwriter_default.cpp qhelpsearchindexwriter_default_p.h
        qhelpsearchquerywidget.cpp qhelpsearchquerywidget.h
        qhelpsearchresultwidget.cpp qhelpsearchresultwidget.h
        qoptionswidget.cpp qoptionswidget_p.h
    DEFINES
        # -QT_ASCII_CAST_WARNINGS # special case remove
        QHELP_LIB
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Sql
        Qt::Widgets
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
    ENABLE_AUTOGEN_TOOLS
        uic
)

# Resources:
set(helpsystem_resource_files
    "images/1leftarrow.png"
    "images/1rightarrow.png"
    "images/3leftarrow.png"
    "images/3rightarrow.png"
    "images/mac/minus.png"
    "images/mac/plus.png"
    "images/win/minus.png"
    "images/win/plus.png"
)

qt_internal_add_resource(Help "helpsystem"
    PREFIX
        "/qt-project.org/assistant"
    FILES
        ${helpsystem_resource_files}
)

qt_internal_add_docs(Help
    doc/qthelp.qdocconf
)

=== src/qdoc/qdoc/tests/generatedoutput/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# It's mostly manually written.

#####################################################################
## tst_generatedOutput Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_generatedOutput LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_generatedOutput
    SOURCES
        ${CMAKE_CURRENT_LIST_DIR}/tst_generatedoutput.cpp
)

# Write relevant Qt include path to a file, to be read in by QDoc
set(config_subfolder "")
get_cmake_property(is_multi_config GENERATOR_IS_MULTI_CONFIG)
if(is_multi_config)
    set(config_subfolder "$<CONFIG>/")
endif()
set(includepathsfile "${CMAKE_CURRENT_BINARY_DIR}/${config_subfolder}qdocincludepaths.inc")
set(framework_path "\n")

find_package(Qt6 COMPONENTS Core REQUIRED)
if(Qt6Core_FOUND)
    get_target_property(include_paths Qt6::Core INTERFACE_INCLUDE_DIRECTORIES)
endif()

while(include_paths)
    list(POP_BACK include_paths inc_path)
    if(inc_path MATCHES "(.+)/QtCore\.framework$")
        string(APPEND framework_path "-F${CMAKE_MATCH_1}")
        break()
    endif()
endwhile()

set (include_paths "$<TARGET_PROPERTY:tst_generatedOutput,INCLUDE_DIRECTORIES>")
file(GENERATE OUTPUT ${includepathsfile} CONTENT "-I$<JOIN:${include_paths},\n-I>${framework_path}")

add_dependencies(tst_generatedOutput Qt::qdoc)

=== debian/changelog ===
qt6-tools (6.7.2-6) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Thu, 14 Nov 2024 19:22:20 +0100

qt6-tools (6.7.2-5) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Add symbolic links in /usr/bin for user-facing tools.

  [ Pino Toscano ]
  * Split qdoc into a separate package (qdoc-qt6), build it only on
    architectures where LLVM/clang is available; this way the rest of qt6-tools
    can be built on every architecture:
    - limit the clang-18, libclang-18-dev, llvm, and llvm-18-dev build
      dependencies only on some architectures
    - split qdoc-qt6 out of qt6-documentation-tools, with proper
      breaks/replaces
    - the architectures on which qdoc-qt6 is enabled are the ones on which both
      LLVM 18 and LLVM 19 currently build, i.e.: amd64 arm64 armel armhf i386
      loong64 mips64el ppc64el riscv64 s390x sparc64 (others can be added later
      as needed)

 -- Pino Toscano <pino@debian.org>  Wed, 13 Nov 2024 20:02:21 +0100

qt6-tools (6.7.2-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:07:57 +0200

qt6-tools (6.7.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:02:27 +0200

qt6-tools (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Switch to llvm-18 to fix build failures on arm.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Sep 2024 12:03:54 +0200

qt6-tools (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Remove patches that have been applied upstream.
  * Bump Qt B-Ds to 6.7.2.
  * Do not the system litehtml as it fails to build.
  * Update list of installed files.
  * Update ABI to 6.7.2.
  * Update symbols from buildlogs.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Aug 2024 23:24:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,29 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: clang-17,
+Build-Depends: clang-18 [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
                cmake (>= 3.24~),
                debhelper-compat (= 13),
-               libclang-17-dev,
+               libclang-18-dev [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
                libcurl4-openssl-dev | libcurl4-dev,
+               libedit-dev,
                libgl-dev,
-               liblitehtml-dev (>= 0.6~),
+#               liblitehtml-dev (>= 0.6~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                libzstd-dev (>= 1.3),
-               llvm-17-dev,
+               llvm [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
+               llvm-18-dev [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
 Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
@@ -33,7 +35,7 @@
 Package: libqt6designer6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-designer-private-abi (= 6.6.2),
+Provides: qt6-designer-private-abi (= 6.7.2),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Designer library
@@ -58,7 +60,7 @@
 Package: libqt6help6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-help-private-abi (= 6.6.2),
+Provides: qt6-help-private-abi (= 6.7.2),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Help library
@@ -71,7 +73,7 @@
 Package: libqt6uitools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-uitools-private-abi (= 6.6.2),
+Provides: qt6-uitools-private-abi (= 6.7.2),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 UI tools library
@@ -144,20 +146,32 @@
  .
  qdbus is a tool for listing D-Bus services and its properties.
 
+Package: qdoc-qt6
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64
+Multi-Arch: foreign
+Section: utils
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: qt6-documentation-tools (<< 6.7.2-5~),
+Replaces: qt6-documentation-tools (<< 6.7.2-5~),
+Description: Qt 6 qdoc tool
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains qdoc, a command-line tool for generating HTML
+ documentation from .cpp and .qdoc files.
+
 Package: qt6-documentation-tools
 Architecture: any
 Multi-Arch: foreign
 Section: utils
-Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends},
+Depends: libqt6sql6-sqlite,
+         qdoc-qt6 (= ${binary:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
+         ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 documentation tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains tools like qdoc, qtattributionsscanner and
- qhelpgenerator.
- .
- qdoc is a command-line tool for generating HTML documentation from .cpp
- and .qdoc files.
+ This package contains tools like qtattributionsscanner and qhelpgenerator.
  .
  qtattributionsscanner is a command-line tool that scans the source
  code for qt_attribution.json file and outputs JSON or qdoc files
